﻿using System.Collections.ObjectModel;
using Microsoft.Maui.Controls;

namespace TestMVVM.Services;

public interface IDAOService<T>
{

    public Task<T> GetItem(int id);
    public Task<bool> AddItem(T item);
    public Task<bool> UpdateItem(T item);
    public Task<bool> DeleteItem(int id);
    public Task<IEnumerable<T>> GetItems();
}
