﻿namespace TestMVVM.ViewModels;

[QueryProperty(nameof(Item), "Item")]
public partial class ListDetailDetailViewModel : BaseViewModel
{
    readonly SampleDataService dataService;
    public ListDetailDetailViewModel(SampleDataService service)
    {
        dataService = service;
    }
    [ObservableProperty]
    private Alumno item;

    [RelayCommand]
    async Task GoBack()
    {
        await Shell.Current.GoToAsync("..");
    }
   
    [RelayCommand]
    async Task Save()
    {
        if (Item.id == 0)
        {
            await dataService.AddItem(Item);
        }
        else
        {
            await dataService.UpdateItem(Item);
        }

        await GoBack();
    }
    [RelayCommand]
    async Task Delete()
    {

        await dataService.DeleteItem(Item.id);


        await GoBack();
    }


}
